[Unit]
Description=Mount Rclone FTP
After=network-online.target network.target
Wants=network-online.target

[Service]
Type=simple
# Use Environment to explicitly set $HOME
Environment=HOME=%h
ExecStartPre=%h/.local/bin/rclone_mount_check.sh
ExecStart=/usr/bin/rclone mount tdnde_ftp: %h/mnt/tdnde_server --vfs-cache-mode full --vfs-cache-max-size 1G --ftp-concurrency 20 --timeout 60s --contimeout 30s --dir-cache-time 1h
ExecStop=/bin/fusermount -u %h/mnt/tdnde_server
Restart=on-failure

[Install]
WantedBy=default.target
